use.role.for.mediaobject
Prev | Graphics | Next

## use.role.for.mediaobject

use.role.for.mediaobject — Use `role` attribute value for selecting which of several objects within a mediaobject to use.

## Synopsis

    <xsl:param name="use.role.for.mediaobject" select="1"></xsl:param>

## Description

If non-zero, the `role` attribute on `imageobject`s or other objects within a `mediaobject` container will be used to select which object will be used.

The order of selection when then parameter is non-zero is:

1. If the stylesheet parameter `preferred.mediaobject.role` has a value, then the object whose role equals that value is selected.

2. Else if an object's role attribute has a value of `html` for HTML processing or `fo` for FO output, then the first of such objects is selected.

3. Else the first suitable object is selected.

If the value of `use.role.for.mediaobject` is zero, then role attributes are not considered and the first suitable object with or without a role value is used.

Prev | Up | Next
link.to.self.for.mediaobject | Home | ignore.image.scaling